4.2.2.5 Installing the Oracle-Supported OFED Packages from ULN if the Default OFED Packages Are Already Present

Note

This procedure assumes that you have registered the system with ULN. See Oracle® Linux: Unbreakable Linux Network User's Guide for Oracle Linux 6 and Oracle Linux 7.

To install the Oracle-supported OFED packages from ULN if the default OFED packages have already been installed on an Oracle Linux 7 system:

  1. Subscribe the system to the ol7_x86_64_optional_latest, ol7_x86_64_UEKR3_OFED20, ol7_x86_64_UEKR3, and ol7_x86_64_latest channels on ULN. (By default, the ol7_x86_64_UEKR3 and ol7_x86_64_latest channels are enabled when you register an Oracle Linux 7 system with ULN.)

  2. Edit /etc/yum/pluginconf.d/rhnplugin.conf and add the following lines to the end of the file:

    [ol7_x86_64_UEKR3_OFED20]
    priority=20 
  3. Install the yum-plugin-priorities package from the ol7_x86_64_optional_latest channel:

    # yum install yum-plugin-priorities
  4. Downgrade any default OFED packages other than ibutils, libibcm, librdmacm, librdmacm-devel, librdmacm-utils, opensm, opensm-libs, and srptools that are already present on the system, for example:

    # yum downgrade rdma

    These packages are replaced with the Oracle-supported OFED packages from the ol7_x86_64_UEKR3_OFED20 channel.

  5. Remove the default ibutils-libs package (if present):

    # yum remove ibutils-libs
  6. Install Oracle-supported OFED packages such as ibutils, libibcm, librdmacm-devel, librdmacm-utils, librdmacm, opensm, opensm-libs, and srptools from the ol7_x86_64_UEKR3_OFED20 channel as required, for example:

    # yum install ibutils